import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { _demandExamine } from '@/api/demandManage'
import { reformateObjectRes } from '@/utils/index'

const useDemandManageManageStore = defineStore('demandManage', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 需求单 **************
    // 获取列表
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 116
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 117
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 118
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 119
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 需求单审核
    demandExamine(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 120
        _demandExamine(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
  },
})

export default useDemandManageManageStore
